Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ActivityAgenda

    java.lang.Object
      ix.ip2.Agenda
          ix.ip2.ActivityAgenda

All Implemented Interfaces:
  ProcessStatusListener, AgendaManager, java.util.EventListener

    public class ActivityAgenda

extends Agenda

An agenda of activities

Nested Class Summary
`class` | `ActivityAgenda.OtherReportsActivity` An activity specialised for receiving "other reports" -- reports that aren't directed to any other Issue or Activity.

Field Summary

Fields inherited from class ix.ip2.Agenda
`controller, handlers, items, listeners`

Constructor Summary
`ActivityAgenda(PanelController controller)`

Method Summary
`boolean` | `acceptReport(Report report)`
`void` | `addItem(AgendaItem item)`
`void` | `addItemsBefore(AgendaItem at, java.util.List addList)`
`void` | `clear()`
`void` | `expandItem(AgendaItem item, Refinement instructions)`
`(package private) void` | `logItemHandled(AgendaItem item, HandlerAction act)`
`AgendaItem` | `makeItem(LList pattern)`
`AgendaItem` | `makeItem(TaskItem activity)`
`protected ActivityAgenda.OtherReportsActivity` | `openOtherReportsActivity()`
`void` | `removeItem(AgendaItem item)`
`void` | `reset()`
`protected void` | `setOpenOtherReportsActivity(ActivityAgenda.OtherReportsActivity act)`

Methods inherited from class ix.ip2.Agenda
`addAgendaListener, addHandlerActions, addItemHandler, canHandleAutomatically, checkActionValidity, checkActionValidity, checkActionValidity, computeActionStatus, computeActionStatus, fireItemAdded, fireItemHandled, fireItemRemoved, fireNewBindings, getItem, getItemHandlers, getItems, getSyntaxList, handleAutomatically, handleItem, handleItemDirectly, makeItem, newBindings, reconsiderHandler, stateChange, stateDeletion, statusUpdate, wantsReport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivityAgenda

    public ActivityAgenda(PanelController controller)

Method Detail

### reset

    public void reset()

  Overrides:
    `reset` in class `Agenda`

### clear

    public void clear()

  Overrides:
    `clear` in class `Agenda`

### makeItem

    public AgendaItem makeItem(LList pattern)

  Specified by:
    `makeItem` in interface `AgendaManager`
  Specified by:
    `makeItem` in class `Agenda`

### makeItem

    public AgendaItem makeItem(TaskItem activity)

  Specified by:
    `makeItem` in class `Agenda`

### addItem

    public void addItem(AgendaItem item)

  Specified by:
    `addItem` in interface `AgendaManager`
  Overrides:
    `addItem` in class `Agenda`

### addItemsBefore

    public void addItemsBefore(AgendaItem at,
                               java.util.List addList)

  Overrides:
    `addItemsBefore` in class `Agenda`

### removeItem

    public void removeItem(AgendaItem item)

  Overrides:
    `removeItem` in class `Agenda`

### logItemHandled

    void logItemHandled(AgendaItem item,
                        HandlerAction act)

  Overrides:
    `logItemHandled` in class `Agenda`

### acceptReport

    public boolean acceptReport(Report report)

  Overrides:
    `acceptReport` in class `Agenda`

### openOtherReportsActivity

    protected ActivityAgenda.OtherReportsActivity openOtherReportsActivity()

### setOpenOtherReportsActivity

    protected void setOpenOtherReportsActivity(ActivityAgenda.OtherReportsActivity act)

### expandItem

    public void expandItem(AgendaItem item,
                           Refinement instructions)

  Specified by:
    `expandItem` in interface `AgendaManager`
  Overrides:
    `expandItem` in class `Agenda`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD